View Issue Details

IDProjectCategoryView StatusLast Update
0003330SUMoNew Featurepublic2017-07-14 23:23
ReporterOLLI_SAssigned ToKyle_Katarn 
PrioritynormalSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
PlatformWindows 10 x64OSOS Version
Product Version4.2.0 
Target Version5.3Fixed in Version5.3 
Summary0003330: Faster way to add Additional Folders
DescriptionPlease add a faster way to manually add folders to the "Additional Folders" list.
I want to ad 30 sub-folders (but not all sub-folders) of my portable application folder.

Possible ways:
1) Allow to drag multiple folders from an explorer window into the dialog "Custom Folders"
2) Allow to select multiple folders in the dialog where I can choose the folder (mark folders with [Ctrl] and [Shift])

I would prefer the first way (Drag & Drop)
TagsNo tags attached.

Activities

OLLI_S

2016-01-02 16:19

reporter  

Folder_Checkbox.png (13,936 bytes)
Folder_Checkbox.png (13,936 bytes)

OLLI_S

2016-01-02 16:30

reporter   ~0002191

Last edited: 2016-01-02 16:31

View 2 revisions

3) Checkbox in front of folders
I have a 3rd suggestion that is the best of all (provides best usability).
When the user clicks on "Additional Folders" show a new dialog with a TreeView of all drives.
In front of each drive/folder show a checkbox, so users can select the drive/folder.
See attached screenshot "Folder_Checkbox.png" for an example.
So the current dialog can be removed.

Last time I programmed in Delphi was 10 years ago, but if I remember correctly there is such a component existing.
If not, see here: http://delphi.about.com/od/vclwriteenhance/a/gtrocheck-stv.htm

Kyle_Katarn

2017-07-14 23:23

administrator   ~0002638

Done with drag'n'drop

Issue History

Date Modified Username Field Change
2015-11-27 08:16 OLLI_S New Issue
2015-11-28 10:46 Kyle_Katarn Target Version => 4.3.x
2015-11-28 10:46 Kyle_Katarn Assigned To => Kyle_Katarn
2015-11-28 10:46 Kyle_Katarn Status new => confirmed
2015-12-14 22:01 Kyle_Katarn Target Version 4.3.x => 5.x
2016-01-02 16:19 OLLI_S File Added: Folder_Checkbox.png
2016-01-02 16:30 OLLI_S Note Added: 0002191
2016-01-02 16:31 OLLI_S Note Edited: 0002191 View Revisions
2017-07-14 23:20 Kyle_Katarn Target Version 5.x => 5.3
2017-07-14 23:23 Kyle_Katarn Status confirmed => resolved
2017-07-14 23:23 Kyle_Katarn Resolution open => fixed
2017-07-14 23:23 Kyle_Katarn Fixed in Version => 5.3
2017-07-14 23:23 Kyle_Katarn Note Added: 0002638